Page MenuHomePhabricator

Conpherence for FOSS OPW round 9 participants
Closed, ResolvedPublic

Description

Conpherence is a Phabricator application that allows users to have private communications 1:1 or in small groups. You can try it out at https://phab-01.wmflabs.org/conpherence/

Wikimedia favors public communication everywhere, and this is the main reason why we don't have it enabled here. However, in several discussions about onboarding and retaining new contributors we have concluded that the imposing public-only approach together with the difficulties to establish more intimate circles is a major problem for newcomers indeed.

So why don't we try an experiment? Let's enable Conpherence only to the members of a #FOSS-OPW-9 project (interns + mentors + Developer-Advocacy team) and let's run a test between 12 November and the end of March (see the program timeline).

Event Timeline

Qgil created this task.Oct 23 2014, 3:54 PM
Qgil renamed this task from Consider Conpherence for FOSS OPW participants to Conpherence for FOSS OPW round 9 participants.
Qgil raised the priority of this task from to Needs Triage.
Qgil updated the task description. (Show Details)
Qgil changed Security from none to None.
Qgil updated the task description. (Show Details)
Qgil added a subscriber: Qgil.
Qgil triaged this task as Medium priority.Oct 24 2014, 6:49 PM

Would "Spaces" be be a better solution for this?

Qgil added a comment.Nov 9 2014, 6:50 AM

Spaces is more for resolving the problem of whole private projects. We had to come up with our own implementation while the one coming from upstream is "In Planning Purgatory".

OPW projects will be public like all the rest. We just want to experiment with a small private corner for a bit of casual private conversation.

Qgil moved this task from To Triage to Need discussion on the Phabricator board.Nov 10 2014, 8:05 AM

done give it a try

Qgil added a comment.Nov 10 2014, 10:52 PM

https://phabricator.wikimedia.org/conpherence/2/ seems to work, although I will not know for sure until someone replies confirming that they received a notification.

sent while mobile

Qgil added a comment.Nov 10 2014, 11:16 PM

@Jaredzimmerman-WMF, this is correct. Only the people involved in OPW-9 will have access to this feature. It is a controlled experiment.

Qgil closed this task as Resolved.Nov 10 2014, 11:19 PM
Qgil claimed this task.

This is working. I also got notifications when @chasemp pinged me, and I get the blue bubble with new Conpherence notifications in the header. Thank you, Chase!

Qgil added a comment.Nov 12 2014, 11:40 PM

Just for transparency and archiving, this is what we have said to the #opw-interns in our first real Conpherence thread:

Welcome! This is a casual place to ask questions and chat with other OPW participants and with the org admins. You can create your own "conpherences" with your mentors and whoever you want to chat.

We are strong believers in transparency and public community channels, and this is why we encourage you to use Phabricator tasks, wikimedia.org, IRC, and mailing lists for work. However, if you are looking for a bit of privacy or just a place for casual chit-chat, we hope this tool serves you well.

Note that only members of Outreach-Program-For-Women-9 can use Conpherence. In fact, this is an experiment, and you can learn more about it at T834. :)

Memeht added a subscriber: Memeht.Nov 13 2014, 7:53 PM

Hello,

I am one on the OPW Interns. When I try to access the conpherence page (https://phabricator.wikimedia.org/conpherence/3/), I get an 'Access Denied' message. I've attached a screen-cap of the message.

In T834#22073, @Memeht wrote:

Hello,

I am one on the OPW Interns. When I try to access the conpherence page (https://phabricator.wikimedia.org/conpherence/3/), I get an 'Access Denied' message. I've attached a screen-cap of the message.

I don't see you in the list of members here https://phabricator.wikimedia.org/tag/outreach-program-for-women-9/

so that message would make sense at least

@Qgil can correct this if it's the problem

Qgil added a comment.Nov 13 2014, 9:52 PM

@Memeht, now that you have an account I could add you to the project. Try now.